com.nxp.nfc_demo.fragments

## Class ReadOnlyFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.actionbarsherlock.app.SherlockFragment
    - - com.nxp.nfc_demo.fragments.ReadOnlyFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.support.v4.app.Watson.OnCreateOptionsMenuListener, android.support.v4.app.Watson.OnOptionsItemSelectedListener, android.support.v4.app.Watson.OnPrepareOptionsMenuListener, android.view.View.OnCreateContextMenuListener

      public class ReadOnlyFragment
      extends com.actionbarsherlock.app.SherlockFragment

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `option`
    `private static android.widget.TextView` | `textCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getOption()`
    `void` | `onCreate(android.os.Bundle savedInstanceState)`
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `static void` | `setAnswer(java.lang.String answer)`

    - ### Methods inherited from class com.actionbarsherlock.app.SherlockFragment

      `getSherlockActivity, onAttach, onCreateOptionsMenu, onCreateOptionsMenu, onDetach, onOptionsItemSelected, onOptionsItemSelected, onPrepareOptionsMenu, onPrepareOptionsMenu`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onHiddenChanged, onInflate, onLowMemory, onOptionsMenuClosed, onPause, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### textCallback

          private static android.widget.TextView textCallback

    - #### option

          private static java.lang.String option

  - ### Constructor Detail

    - #### ReadOnlyFragment

          public ReadOnlyFragment()

  - ### Method Detail

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.support.v4.app.Fragment`

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                       android.view.ViewGroup container,
                                       android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `android.support.v4.app.Fragment`

    - #### getOption

          public static java.lang.String getOption()

    - #### setAnswer

          public static void setAnswer(java.lang.String answer)